﻿
.ngdialog-theme-default.atrade-dialog {
    padding-top: 50px;
    padding-bottom: 0px;
}

    .ngdialog-theme-default.atrade-dialog .ngdialog-content {
        width: 60%;
    }

.tc-popup.atrade ol {
    counter-reset: item;
    list-style-type: decimal;
}

.tc-popup.atrade li {
    display: block;
    margin-top: 10px;
}

    .tc-popup.atrade li:before {
        content: counters(item, ".") ". ";
        counter-increment: item;
        font-weight: bold;
    }

/* Terms And Conditions ATrade popup*/

.tc-popup {
    direction: ltr;
    background-color: white;
    /*font-family: 'Open Sans', sans-serif;*/
    padding: 17px;
    border-radius: 5px;
    overflow: hidden;
    z-index: 2000;
    line-height: 1.8;
}

    .tc-popup.atrade {
        direction: rtl;
    }

    .tc-popup .numberLinesblock {
        padding-right: 15px;
    }


    .tc-popup .subNumberLinesblock {
        margin-right: 1.1%;
    }

    .tc-popup .numberLine {
        padding-bottom: 4px;
    }

    .tc-popup h1 {
        color: #2882C0;
        color: var(--primary, #2882C0);
        margin-top: 10px;
        margin-bottom: 6px;
    }

    .tc-popup h2 {
        font-size: 27px;
        font-weight: bolder;
    }

    .tc-popup dl dt {
        padding-left: 5px;
    }

    .tc-popup dl dd {
        margin-bottom: 1em;
    }

    .tc-popup h2,
    .tc-popup dl dt {
        background-color: #2E7D9E;
        color: white;
        border-radius: 5px;
        position: relative;
    }

.tc-content {
    overflow-y: scroll;
    overflow-x: hidden;
    /*height: 500px;*/
}

.tc-sumeryblock {
    padding-left: 3.2%;
    padding-right: 15px;
    height: 100%;
}

.tc-popup .button-container {
    padding-bottom: 0;
}

.tc-popup span {
    line-height: 22px;
}

.tc-content .imglabelTC.imglabel {
    margin-left: 0px;
}

/*.imglabelTC {
    width: 100px;
    float: right;
}*/

.tc-parts {
    background-color: rgba(0, 0, 0, 0.04);
    padding-right: 20px;
    padding-left: 10px;
}


    .tc-parts .subNumber {
        padding-left: 3.2%;
    }

    .tc-parts .subSubNumber {
        padding-left: 5.2%;
    }

    .tc-parts .termConfermation {
        color: #2882C0;
        color: var(--primary, #2882C0);
        border: solid;
        border-width: 1px;
        border-color: currentColor;
        border-radius: 5px;
        padding: 5px;
        width: 100%;
    }

    .tc-parts .imglabel {
        margin-top: 0.33%;
    }



.tc-popup .btn-primary {
    margin-right: 5.7%;
    margin-top: 2.1%;
    width: 100%;
}

.atrade-dialog .button-container {
    padding-top: 20px;
}


.errorChecked {
    color: red;
    color: var(--error, #b55858);
}


.ngdialog-content .tc-popup a {
    word-break: break-all;
}


.tc-parts .small-device-width {
    margin-right: 0px !important;
    opacity: 1 !important;
    -webkit-appearance: checkbox !important;
    vertical-align: middle;
}

[type="checkbox"].small-device-width:not(:checked) + label,
[type="checkbox"].small-device-width:checked + label,
[type="checkbox"].small-device-width:checked + label.errorChecked {
    color: #2882C0;
    color: var(--primary, #2882C0);
    vertical-align: middle;
    background: transparent;
}

    [type="checkbox"].small-device-width:not(:checked) + label.errorChecked {
        color: red;
        color: var(--error, #b55858);
    }

/* ----------- General ----------- */
.atrade-dialog .tc-content {
    /*max-height: 60vh;*/
}

@media only screen and (max-width: 767px) {

    .atrade-dialog .ngdialog-content {
        position: relative;
        height: 100%;
    }

    .ngdialog-theme-default.atrade-dialog {
        padding-top: 5% !important;
    }

    .ngdialog-content .tc-popup {
        margin: 0 auto;
        width: auto;
    }

    .ngdialog-content .btn.btn-primary {
        min-width: initial;
    }


    .atrade-dialog input[type=checkbox] + .imglabel,
    .atrade-dialog input[type=checkbox]:focus + .imglabel,
    .atrade-dialog input[type=checkbox], input[type=radio ] {
        margin-right: -32px;
    }



    .atrade-dialog .tc-content {
        position: relative;
        /*height: calc(100% - 120px);*/
        top: 0;
    }


    .tc-popup {
        position: relative;
        height: 100%;
        width: auto;
        line-height: initial;
    }

    .atrade-dialog .button-container {
        position: relative;
        bottom: 0;
        width: 100%;
        background-color: white;
    }

    .tc-popup.atrade ol {
        padding-right: 15px;
        padding-left: 10px;
    }


    .atrade-dialog .tc-sumeryblock {
        background-color: white;
        padding-left: 3.2%;
        padding-right: 15px;
        word-wrap: break-word;
    }

    .tc-parts {
        background-color: white;
    }

    .tc-popup .btn-primary {
        margin-right: 0;
    }
}

/**JAPAN**/
.ngdialog .avajapan .btn {
    font-size: 12px;
}

.ngdialog .avajapan h1 {
    font-size: 25px;
}

.ngdialog .avajapan ul {
    -webkit-padding-start: 1.5em;
}

.ngdialog .avajapan [type="application/pdf"] {
    width: 100%;
    height: auto;
    max-height: 50vh;
    min-height: 300px;
}

    .ngdialog .avajapan [type="application/pdf"] p {
        margin: 5px 0 30px;
    }

.ngdialog .avajapan dl dt a {
    top: 50%;
    right: 0;
    position: absolute;
    transform: translate(-50%,-50%);
    color: white !important;
}

#allContant {
    height: 100% !important;
}

.tc-popup-mail-icon {
    font-size: 1.6em !important;
    color: var(--primary, #2882C0);
    margin-right: 5px;
}

.conflict-popup .tc-popup-header {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 768px) {
    .conflict-popup h1.ava-dialog--header {
        font-size: 2em;
    }
}

@media print {
    .ngdialog-close {
        display: none;
    }

    body.ngdialog-open,
    .ngdialog.ava-dialog {
        overflow: visible;
        position: static;
    }

    .tc-sumeryblock {
        height: unset;
    }

    .session-expired {
        display: none;
    }

    .tc-content {
        overflow: visible !important;
    }

    #allContant {
        height: 12000px !important;
        max-height: 12000px !important;
    }

    .ngdialog-content {
        overflow: visible !important;
        width: 100% !important;
        display: block !important;
        top: -100px !important;
        bottom: -100px !important;
        max-height: 12000px !important;
    }
}
